Bug 6451 - Linux NFS Clients and Solaris NFS Server *still* broken!!!
Linux NFS Clients and Solaris NFS Server *still* broken!!!
Product: Red Hat Linux
Classification: Retired
Component: knfsd (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Cristian Gafton
Depends On:
  Show dependency treegraph
Reported: 1999-10-28 01:47 EDT by tma
Modified: 2008-05-01 11:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-17 10:23:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description tma 1999-10-28 01:47:45 EDT
Hi Folks,

unfortunately i noticed that the following NFS problem (i
reported this already for RH 6.0) *still* exists.

My Linux boxes (auto)mount NFS shares from a SUN/Solaris 2.5
Server (Solaris uses NFS v3). Serious errors occure when
working on this NFS mounted shares (e.g. home directory),
since Linux seems not to be able to correctly access NFS v3
shares (not even if a specify rsize=8192, nfs=v3, ...) I
know this bug was reported several times before and someone
told me knfsd gets fixed, but *when* will this bug be
solved. RedHat 6.0 and 6.1 is *not* usable in a heterogenous
environment. I had to re-install RH 5.2 (where this bug does
not occure).

Many Thanks
Thomas (Thomas.Mandl@neuroth.co.at)
Comment 1 tma 1999-10-28 05:43:59 EDT
It seams, that this problem *does not* appear when using a Solaris 7
(SunOS 5.7) NFS Server (also NFS v3).
Comment 2 douglewis 1999-10-29 13:14:59 EDT
We are running RH6.0 (stock) and mounting disk from a
sun netra (SunOS nfs1 5.5.1 Netra_NFS_SmartServe_1.1_fcs sun4u sparc

on process4 (RH6.0) I mount a (/u) directory from nfs1 (the netra).
If I do a (in /u/clients/test):
  foreach loop (T*.zip)
    zoo -add test.zip $loop
  zoo -test test.zoo
The archive ends up being corrupt (I preverified all of the zip
files). Each zip file (23 of them) is approx 4M in size.
Comment 3 Mark Baker 1999-12-17 06:25:59 EST
This problem affect NFS servers which are AIX based also. Isnt it
about time that Linux NFS became credible/useable if it is to be
taken seriously?
Comment 4 dbelliz 1999-12-27 17:39:59 EST
We use solaris x86 nfs server (2.5,2.6,5.7) and have not seen this problem, yet.
Comment 5 Cristian Gafton 2000-02-17 10:23:59 EST
patches for Solaris have been available for sun for over a year now. This is a
Sun problem
Comment 6 Chris Semple 2000-03-02 03:35:59 EST
The same bug found in Solaris also exists in AIX (and I would guess other OS'es
as well).  We found it in AIX 4.3.2.  IBM has a fix for it which is a port of
the Sun Fix.  Sunsolve id is 4071076, IBM APAR Number is IY06322.  In our case,
it was object files getting corrupted during compiles.  After patching our AIX
box, the problem went away.

Note You need to log in before you can comment on or make changes to this bug.